	SUBROUTINE fit_SCALE(x1,x2,y1,y2)
!	---------------------------------

	include 'fit.inc'

	real x1, x2, y1, y2

	if (x1 .eq. 0 .and. x2 .eq. 0 .and.
	1   y1 .eq. 0 .and. y2 .eq. 0) then
 100	  WRITE (ISYSWR,1010)
	  READ (ISYSRD,1000,ERR=100,END=999) XBEG,XEND
 200	  WRITE (ISYSWR,1011)
	  READ (ISYSRD,1000,ERR=200,END=999) YBEG,YEND
	else
	  xbeg=x1
	  xend=x2
	  ybeg=y1
	  yend=y2
	endif
	ISCX = 1
	ISCY = 1
	IF (XBEG.EQ.XEND) ISCX = 0
	IF (YBEG.EQ.YEND) ISCY = 0
 999  CONTINUE

1000 	FORMAT(2F10.0)
1010 	FORMAT(//4X,'Type return for auto range'/
	1      4X,'PLOT : X-BEGIN , X-END   :',3X,$)
1011 	FORMAT(4X,'       Y-BEGIN , Y-END   :',3X,$)
	END


	subroutine fit_rsc

	include 'fit.inc'
	iscx=0
	iscy=0
	end
